Debian Bug report logs - #219962
libmikmod.so.2: cannot open shared object file: No such file or directory

Package: nvidia-graphics-drivers; Maintainer for nvidia-graphics-drivers is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>;

Reported by: Ralf Hildebrandt <ralf.hildebrandt@charite.de>

Date: Mon, 10 Nov 2003 12:48:03 UTC

Severity: normal

Tags: moreinfo, sid, unreproducible

Merged with 220993, 223899, 225261, 227215

Done: Randall Donald <randy@khensu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#219962; Package xmms. Full text and rfc822 format available.

Acknowledgement sent to Ralf Hildebrandt <ralf.hildebrandt@charite.de>:
New Bug report received and forwarded. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Hildebrandt <ralf.hildebrandt@charite.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmikmod.so.2: cannot open shared object file: No such file or directory
Date: Mon, 10 Nov 2003 13:39:09 +0100
Package: xmms
Version: 1.2.8-2
Severity: grave
Tags: sid
Justification: renders package unusable

Basically, invoking xmms results in:

$ xmms
libmikmod.so.2: cannot open shared object file: No such file or directory
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: _dl_next_tls_modid: Assertion result <= _rtld_local._dl_tls_max_dtv_idx' failed!

:(

ldd `which xmms` gives me:

		libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x4002a000)
	libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x40033000)
	libxmms.so.1 => /usr/lib/libxmms.so.1 (0x4004b000)
	libgtk-1.2.so.0 => /usr/lib/libgtk-1.2.so.0 (0x40058000)
	libgdk-1.2.so.0 => /usr/lib/libgdk-1.2.so.0 (0x40176000)
	libgmodule-1.2.so.0 => /usr/lib/libgmodule-1.2.so.0 (0x401a9000)
	libgthread-1.2.so.0 => /usr/lib/libgthread-1.2.so.0 (0x401ac000)
	libglib-1.2.so.0 => /usr/lib/libglib-1.2.so.0 (0x401af000)
	libpthread.so.0 => /lib/tls/libpthread.so.0 (0x401d1000)
	libdl.so.2 => /lib/tls/libdl.so.2 (0x401e0000)
	libXi.so.6 => /usr/X11R6/lib/libXi.so.6 (0x401e3000)
	libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x401eb000)
	libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x401f9000)
	libm.so.6 => /lib/tls/libm.so.6 (0x402c0000)
	libc.so.6 => /lib/tls/libc.so.6 (0x402e4000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux hummus2 2.6.0-test9-bk10 #1 Wed Nov 5 14:27:34 CET 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages xmms depends on:
ii  libc6                       2.3.2.ds1-10 GNU C Library: Shared libraries an
ii  libglib1.2                  1.2.10-9     The GLib library of C routines
ii  libgtk1.2                   1.2.10-16    The GIMP Toolkit set of widgets fo
ii  xlibs                       4.2.1-13     X Window System client libraries

-- no debconf information




Bug reassigned from package `xmms' to `libc6'. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 219352 219962. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `libc6' to `nvidia-graphics-drivers'. Request was from GOTO Masanori <gotom@debian.or.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219962; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Randall Donald <randy@khensu.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #16 received at 219962@bugs.debian.org (full text, mbox):

From: Randall Donald <randy@khensu.org>
To: 219962@bugs.debian.org, 219962-submitter@bugs.debian.org
Subject: problem under 1.0.4496-10?
Date: Tue, 09 Dec 2003 16:41:52 -0800
Does this problem still exist under nvidia-glx 1.0.4496-10?

randy
-- 
--------------------------------------------
Randall Donald             randy@khensu.org
http://www.khensu.org    rdonald@debian.org
Programmer/Debian Developer GnuPG: 6C27DEAB                   	
--------------------------------------------



Message sent on to Ralf Hildebrandt <ralf.hildebrandt@charite.de>:
Bug#219962. Full text and rfc822 format available.

Merged 219352 219962 220993. Request was from Randall Donald <rdonald@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219962; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Damion <damion@saturni.net>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #32 received at 219962@bugs.debian.org (full text, mbox):

From: Damion <damion@saturni.net>
To: 219962@bugs.debian.org
Subject: i can reproduce this too.
Date: Sun, 14 Dec 2003 01:02:06 +1000 (EST)
trying to run xmms with nvidia-glx 1.0.4496-10 on 2.6 kernel.

Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72:
_dl_next_tls_modid: Assertion `result <= _rtld_local._dl_tls_max_dtv_idx'
failed!

does anyone want more info, or is it all under control ?


__
Damion de Soto
damion@saturni.net
http://www.saturni.net/
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

Seen it all, done it all, can't remember most of it.




Merged 219352 219962 220993 223899. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 219352 219962 220993 223899 224908. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 219352 219962 220993 223899 224908 225261. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Joern Heissler <joern@heissler.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Joern Heissler <joern@heissler.de> Request was from Joern Heissler <joern@heissler.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Randall Donald <rdonald@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #224908 from all other report(s). Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219962; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to "e.viruz@web.de" <e.viruz@web.de>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #51 received at 219962@bugs.debian.org (full text, mbox):

From: "e.viruz@web.de" <e.viruz@web.de>
To: owner@bugs.debian.org
Subject: Bug#219962 - libmikmod.so.2: cannot open shared object file: No such file or directory
Date: Sat, 10 Jan 2004 18:53:15 +0000
Hiya,

I hope that i am right here.
I found by google this - 
http://lists.debian.org/debian-glibc/2003/debian-glibc-200311/msg00405.html

To my mind I get the same error. I have installed Linux 2.6.1, but now 
can't start xmms:

lin:/home/vir$ xmms
libmikmod.so.2: cannot open shared object file: No such file or directory
Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: 
_dl_next_tls_modid: Assertion `result <= 
_rtld_local._dl_tls_max_dtv_idx' failed!

Do you know the solution?

Bye





Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219962; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #56 received at 219962@bugs.debian.org (full text, mbox):

From: Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>
To: "e.viruz@web.de" <e.viruz@web.de>, 219962@bugs.debian.org
Subject: Re: Bug#219962: - libmikmod.so.2: cannot open shared object file: No such file or directory
Date: Wed, 28 Jan 2004 10:47:44 +0100
* e.viruz@web.de <e.viruz@web.de>:
> Hiya,
> 
> I hope that i am right here.
> I found by google this - 
> http://lists.debian.org/debian-glibc/2003/debian-glibc-200311/msg00405.html
> 
> To my mind I get the same error. I have installed Linux 2.6.1, but now 
> can't start xmms:
> 
> lin:/home/vir$ xmms
> libmikmod.so.2: cannot open shared object file: No such file or directory
> Inconsistency detected by ld.so: ../sysdeps/generic/dl-tls.c: 72: 
> _dl_next_tls_modid: Assertion `result <= 
> _rtld_local._dl_tls_max_dtv_idx' failed!
> 
> Do you know the solution?

Install libmikmod

-- 
Ralf Hildebrandt (Im Auftrag des Referat V a)   Ralf.Hildebrandt@charite.de
Charite - Universitätsmedizin Berlin            Tel.  +49 (0)30-450 570-155
Gemeinsame Einrichtung von FU- und HU-Berlin    Fax.  +49 (0)30-450 570-916
Referat V a - Kommunikationsnetze -             AIM.  ralfpostfix



Merged 219352 219962 220993 223899 225261 227215. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ralf Hildebrandt <ralf.hildebrandt@charite.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #63 received at 219962-done@bugs.debian.org (full text, mbox):

From: Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>
To: 219962-done@bugs.debian.org
Subject: Close
Date: Thu, 18 Mar 2004 18:36:51 +0100
xmms works here like a charm. Must have been an nvidio Problem or
something...

-- 
Ralf Hildebrandt (Im Auftrag des Referat V a)   Ralf.Hildebrandt@charite.de
Charite - Universitätsmedizin Berlin            Tel.  +49 (0)30-450 570-155
Gemeinsame Einrichtung von FU- und HU-Berlin    Fax.  +49 (0)30-450 570-916
IT-Zentrum Standort Campus Mitte                          AIM.  ralfpostfix



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219962; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Leszek <leszek@serwer.3miasto.net>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #68 received at 219962@bugs.debian.org (full text, mbox):

From: Leszek <leszek@serwer.3miasto.net>
To: 219962@bugs.debian.org
Subject: libmikmod.so.2: cannot open shared object file: No such file or directory
Date: Mon, 22 Mar 2004 00:07:26 +0100 (CET)

Hello Debian developers,

while trying to launch xmms, I am getting the following error:

    leszek@utumno:~$ xmms &
    [1] 1028
    leszek@utumno:~$ libmikmod.so.2: cannot open shared object file: No
    such file or directory

Apart from that error, xmms continues to work most of the time. However,
not always- sometimes it plays musik flawlessly, sometimes freezes.

I can see that this bug has been reassigned from xmms to libc6 to
nvidia-graphics-drivers in your database; I'd like to let you know that I
dont have any hardware made by nVidia; I also dont have any packages that
would have 'nvidia' in their name:

    leszek@utumno:~$ dpkg --get-selections | grep nvidia
    leszek@utumno:~$

So, to me it seems unlikely that this error is in any way related to
nvidia-graphics.

best, Leszek



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219962; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Leszek <leszek@serwer.3miasto.net>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #73 received at 219962@bugs.debian.org (full text, mbox):

From: Leszek <leszek@serwer.3miasto.net>
To: 219962@bugs.debian.org
Subject: Followup
Date: Mon, 22 Mar 2004 00:09:13 +0100 (CET)
Oh, and my system is Sarge. Kernel 2.6.4. Should you need any more info,
I'd be happy to provide it.



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219962; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Randall Donald <randy@khensu.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #78 received at 219962@bugs.debian.org (full text, mbox):

From: Randall Donald <randy@khensu.org>
To: Leszek <leszek@serwer.3miasto.net>, 219962@bugs.debian.org
Subject: Re: Bug#219962: libmikmod.so.2: cannot open shared object file: No such file or directory
Date: Sun, 21 Mar 2004 15:53:32 -0800
hi

On Sun, 2004-03-21 at 15:07, Leszek wrote:
> Hello Debian developers,
> 
> while trying to launch xmms, I am getting the following error:
> 
>     leszek@utumno:~$ xmms &
>     [1] 1028
>     leszek@utumno:~$ libmikmod.so.2: cannot open shared object file: No
>     such file or directory
Which means it xmms could not load the mikmod plugin because there was
no libmikmod library. xmms should work as normal for other plugins.



> Apart from that error, xmms continues to work most of the time. However,
> not always- sometimes it plays musik flawlessly, sometimes freezes.
Well that's better than what we get. Do you know what files it's
freezing on? 


[snip]
> So, to me it seems unlikely that this error is in any way related to
> nvidia-graphics.

And your problems are probably not related to this bug which has
different symptoms to those you are describing. However I could be wrong
and what you see is what happens with a Mesa GL library. At this point I
still believe this is a TLS issue and some conflict with the nvidia tls
library.   

Have you tried seeing if there is a difference with libmikmod2
installed?

-- 
--------------------------------------------
Randall Donald             randy@khensu.org
http://www.khensu.org    rdonald@debian.org
Programmer/Debian Developer GnuPG: 6C27DEAB                   	
--------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#219962; Package nvidia-graphics-drivers. Full text and rfc822 format available.

Acknowledgement sent to Leszek <leszek@serwer.3miasto.net>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #83 received at 219962@bugs.debian.org (full text, mbox):

From: Leszek <leszek@serwer.3miasto.net>
To: Randall Donald <randy@khensu.org>
Cc: 219962@bugs.debian.org
Subject: Re: Bug#219962: libmikmod.so.2: cannot open shared object file: No such file or directory
Date: Tue, 23 Mar 2004 01:46:27 +0100 (CET)
Hello,

First of all, after a couple of day spent trying to tweak Sarge to get
things working, I gave up and downgraded back to Woody. So I'm afraid I
cannot give you any more details.

But, you are right, this libmikmod error is most probably unrelated to my
xmms freezes. I would always get this error , both on occasions when xmms
worked and when I didn't.

One more observation: Just after a fresh install of Sarge, I fired up KDE
3.2. Sound was working perfectly (except for that libmik error). I played
a bit and switched to Gnome 2.4. And ever since then, I started having
problems with sound. Gnome gave me "cannot open /dev/dsp - no such
device" error. I immediately switched back to KDE - and sound didn't work
there anymore. I rebooted and went for KDE again. Sound kinda worked - I
could hear that KDE startup tune, MPlayer had sound, but xmms started
freezing on about every single file - be it a mp3, wav or ogg.

Hope this helps.

On Sun, 21 Mar 2004, Randall Donald wrote:

> Date: Sun, 21 Mar 2004 15:53:32 -0800
> From: Randall Donald <randy@khensu.org>
> To: Leszek <leszek@serwer.3miasto.net>, 219962@bugs.debian.org
> Subject: Re: Bug#219962: libmikmod.so.2: cannot open shared object file:
>     No such file or directory
>
> hi
>
> On Sun, 2004-03-21 at 15:07, Leszek wrote:
> > Hello Debian developers,
> >
> > while trying to launch xmms, I am getting the following error:
> >
> >     leszek@utumno:~$ xmms &
> >     [1] 1028
> >     leszek@utumno:~$ libmikmod.so.2: cannot open shared object file: No
> >     such file or directory
> Which means it xmms could not load the mikmod plugin because there was
> no libmikmod library. xmms should work as normal for other plugins.
>
>
>
> > Apart from that error, xmms continues to work most of the time. However,
> > not always- sometimes it plays musik flawlessly, sometimes freezes.
> Well that's better than what we get. Do you know what files it's
> freezing on?
>
>
> [snip]
> > So, to me it seems unlikely that this error is in any way related to
> > nvidia-graphics.
>
> And your problems are probably not related to this bug which has
> different symptoms to those you are describing. However I could be wrong
> and what you see is what happens with a Mesa GL library. At this point I
> still believe this is a TLS issue and some conflict with the nvidia tls
> library.
>
> Have you tried seeing if there is a difference with libmikmod2
> installed?
>
> --
> --------------------------------------------
> Randall Donald             randy@khensu.org
> http://www.khensu.org    rdonald@debian.org
> Programmer/Debian Developer GnuPG: 6C27DEAB
> --------------------------------------------
>



Bug reopened, originator not changed. Request was from Randall Donald <randy@khensu.org> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #219352 from all other report(s). Request was from Randall Donald <rdonald@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Randall Donald <randy@khensu.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ralf Hildebrandt <ralf.hildebrandt@charite.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #92 received at 219962-done@bugs.debian.org (full text, mbox):

From: Randall Donald <randy@khensu.org>
To: 219962-done@bugs.debian.org
Subject: close again
Date: Thu, 01 Apr 2004 23:51:41 -0800
Close again.

Redirect all followups to #219352


-- 
--------------------------------------------
Randall Donald             randy@khensu.org
http://www.khensu.org    rdonald@debian.org
Programmer/Debian Developer GnuPG: 6C27DEAB                   	
--------------------------------------------



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:56:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.